#!/usr/bin/env python
# -*- coding: utf-8 -*-

from setuptools import setup

with open('README.md') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read()

requirements = [
    'Click>=6.0',
    'docker>=2.3.0',
    'jinja2>=2.9.6',
    'j2docker>=0.1.0',
    'poyo>=0.4.1',
]

test_requirements = [
    # TODO: put package test requirements here
]

setup(
    name='luda',
    version='0.4.2',
    description="ludicrously awesome [w]rapper for nvidia-docker",
    long_description=readme + '\n\n' + history,
    author="Ryan Olson",
    author_email='rmolson@gmail.com',
    url='https://github.com/ryanolson/luda',
    packages=[
        'luda',
    ],
    package_dir={
        'luda': 'luda',
    },
    entry_points={
        'console_scripts': [
            'luda=luda.cli:main'
        ]
    },
    include_package_data=True,
    install_requires=requirements,
    license="MIT license",
    zip_safe=False,
    keywords='luda',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        "Programming Language :: Python :: 2",
#       'Programming Language :: Python :: 2.6',
        'Programming Language :: Python :: 2.7',
#       'Programming Language :: Python :: 3',
#       'Programming Language :: Python :: 3.3',
#       'Programming Language :: Python :: 3.4',
#       'Programming Language :: Python :: 3.5',
    ],
    test_suite='tests',
    tests_require=test_requirements
)
